<template>
	<view class="bottom-btn">
		<u-button :type="type" @click="handlerClick()">{{title}}</u-button>
	</view>
</template>

<script>
	export default {
		props: {
			title: {
				type: String,
				default: ''
			},
			type: {
				type: String,
				default: 'success'
			},
		},
		name: "bottomBtn",
		data() {
			return {

			};
		},
		methods: {
			handlerClick() {
				this.$emit('handlerClick')
			}
		}
	}
</script>

<style lang="scss" scoped>
	.bottom-btn {
		border-top: 1px solid #e4e7ed;
		box-sizing: border-box;
		padding: 20rpx 20rpx;
		padding-bottom: calc(20rpx + env(safe-area-inset-bottom));
		background: #fff;
		position: fixed;
		bottom: 0%;
		left: 0%;
		width: 100%;
	}
</style>